/*[]------------------------------------------------------------[]*/
/*|                                                              |*/
/*|     Source code for TDVIDEO.DLL (for TDW.EXE)                |*/
/*|                                                              |*/
/*|     For the TSENG ET-3000 & ET-4000 chip sets                |*/
/*|     (256 color modes only)                                   |*/
/*|                                                              |*/
/*|     Copyright (c) 1991 by Borland International              |*/
/*|     All Rights Reserved.                                     |*/
/*|                                                              |*/
/*[]------------------------------------------------------------[]*/


/* Written by Jeffrey J. Peters */

#include <windows.h>
#include <dos.h>       // for geninterrupt()
#include "tdvideo.h"

char card_ident[] = "TDW video driver for CoExistance with CornerStone";

WORD GetVideoMode (void);
void SetVideoMode (BYTE m);
void SaveTextArea (void);
void RestoreTextArea (void);

#define BIOS     0x10     // for BIOS interrupt calls

//--------------------------------------------------------------------------//
int CheckVideoInfo (void)
/*
   This function is only called from VIDEO.C and is used to check for
   video mode/card specifics.  Use this function to check for the proper
   card (if needed) or the video modes that are supported.
*/
{
  WORD m;

  return 1;
}

//--------------------------------------------------------------------------//
WORD GetVideoMode (void)
/*
   This function gets the current video mode from BIOS.  NOTE: some
   SuperVGA modes cannot be entered from BIOS and may not update the
   BIOS data area to reflect the proper mode number.
*/
{
   _AH = 0x0F;
   geninterrupt (BIOS);
   return _AL;
}

//--------------------------------------------------------------------------//
void SetVideoMode (BYTE m)
/*
   This function sets a particular video mode via BIOS.  Some SuperVGA
   modes cannot be entered via BIOS and require direct register
   manipulation.  NOTE: you need to set the high bit of the mode to tell
   BIOS not to clear the screen when switching modes.  If you don't do
   this you will have to save the ENTIRE graphics screen (250k - 1000k)!
*/
{
  _AH = 0x00;
  _AL = m;
  geninterrupt (BIOS);
  return;
}
//--------------------------------------------------------------------------//

void SaveTextArea (void)
/*
   This function saves the video memory that will get blown away by
   entering text mode.
*/
{

}

void RestoreTextArea (void)
/*
   This function restores the video memory that gets blown away by going
   into text mode.  For this mode it's plane 0, 1, and 2.
*/
{
}


/* eof */
